Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class OslcQueryParameters

    java.lang.Object
      org.eclipse.lyo.client.oslc.resources.OslcQueryParameters

    public class OslcQueryParameters

extends Object

A container for OSLC Query parameters which can be associated with an OslcQuery object.

See Also:
  `OslcQuery`

Constructor Summary
`OslcQueryParameters()`
`OslcQueryParameters(String where, String select, String searchTerms, String orderBy, String prefix)` Initialize an OSLC Parameter using the supplied terms

Method Summary
`String` | `getOrderBy()`
`String` | `getPrefix()`
`String` | `getSearchTerms()`
`String` | `getSelect()`
`String` | `getWhere()`
`void` | `setOrderBy(String orderBy)`
`void` | `setPrefix(String prefix)`
`void` | `setSearchTerms(String searchTerms)`
`void` | `setSelect(String select)`
`void` | `setWhere(String where)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OslcQueryParameters

    public OslcQueryParameters()

### OslcQueryParameters

    public OslcQueryParameters(String where,
                               String select,
                               String searchTerms,
                               String orderBy,
                               String prefix)

  Initialize an OSLC Parameter using the supplied terms

  Parameters:
    `where` -
    `select` -
    `searchTerms` -
    `orderBy` -
    `prefix` -

Method Detail

### getWhere

    public String getWhere()

  Returns:

### setWhere

    public void setWhere(String where)

  Parameters:
    `where` -

### getSelect

    public String getSelect()

  Returns:

### setSelect

    public void setSelect(String select)

  Parameters:
    `select` -

### getSearchTerms

    public String getSearchTerms()

  Returns:

### setSearchTerms

    public void setSearchTerms(String searchTerms)

  Parameters:
    `searchTerms` -

### getOrderBy

    public String getOrderBy()

  Returns:

### setOrderBy

    public void setOrderBy(String orderBy)

  Parameters:
    `orderBy` -

### getPrefix

    public String getPrefix()

  Returns:

### setPrefix

    public void setPrefix(String prefix)

  Parameters:
    `prefix` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.